Skip to main content

Artifact Allowlist

View as Markdown

ArtifactAllowlistInfo object

artifact_matchersarray of object

A list of allowed artifact match patterns.

Show child attributesHide child attributes
artifactstring

The artifact path or maven coordinate

match_typestring

The pattern matching type of the artifact

Values: MATCH_TYPE_UNSPECIFIED, PREFIX_MATCH

metastore_idstring

Unique identifier of parent metastore.

created_bystring

Username of the user who set the artifact allowlist.

created_atint64

Time at which this artifact allowlist was set, in epoch milliseconds.

Get GA

GET /api/2.1/unity-catalog/artifact-allowlists/{artifact_type}

Get the artifact allowlist of a certain artifact type. The caller must be a metastore admin or have the MANAGE ALLOWLIST privilege on the metastore.

API scopes: unity-catalog

Parameters

artifact_typestringpath

The artifact type of the allowlist.

Values: ARTIFACT_TYPE_UNSPECIFIED, INIT_SCRIPT, LIBRARY_JAR, LIBRARY_MAVEN

Response

Returns the ArtifactAllowlistInfo object.

Update GA

PUT /api/2.1/unity-catalog/artifact-allowlists/{artifact_type}

Set the artifact allowlist of a certain artifact type. The whole artifact allowlist is replaced with the new allowlist. The caller must be a metastore admin or have the MANAGE ALLOWLIST privilege on the metastore.

API scopes: unity-catalog

Parameters

artifact_typestringpath

The artifact type of the allowlist.

Values: ARTIFACT_TYPE_UNSPECIFIED, INIT_SCRIPT, LIBRARY_JAR, LIBRARY_MAVEN

Request body

artifact_matchersarray of object

A list of allowed artifact match patterns.

Show child attributesHide child attributes
artifactstring

The artifact path or maven coordinate

match_typestring

The pattern matching type of the artifact

Values: MATCH_TYPE_UNSPECIFIED, PREFIX_MATCH

metastore_idstring

Unique identifier of parent metastore.

created_bystring

Username of the user who set the artifact allowlist.

created_atint64

Time at which this artifact allowlist was set, in epoch milliseconds.

Response

Returns the ArtifactAllowlistInfo object.